{
  description = "A very basic flake";

  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixos-unstable";
  };

  outputs = { self, nixpkgs }:
  let
    system = "aarch64-linux";

    pkgs = import nixpkgs {
      allowUnfree = true;
    };
  in
  {
    nixosConfigurations = {
      server = nixpkgs.lib.nixosSystem {
        specialArgs = { inherit system; };

        modules = [
          ./hosts/server/configuration.nix
        ];
      };
    };
  };
}
